List workers
Returns a paginated list of workers. A worker represents a person's HR "worker profile" (employment/engagement) in the company.
Use this endpoint when:
- Syncing worker rosters to payroll, access, or provisioning systems.
- Auditing active vs. terminated workers, or worker distributions by organization unit or location.
Requirements
- Additional authorization scopes are required to access data within certain objects returned by the API. See the scope details for more information.
Required Scopes
- workers.read
Request
Query Parameters
Possible values: >= 1 and <= 100
Default value: 50
The maximum number of results to return. Defaults to 50. Maximum is 100.
Using filters
Include one or more of these fields in the filter parameter to refine your results.
Fields:status, work_email, user_id, created_at, updated_at
Expanding objects
Include one or more of these fields in the expand parameter to return nested data.
Fields:user, manager, legal_entity, employment_type, compensation, department,
Sorting results
Include one or more of these fields in the sort parameter to control result order.
Fields:id, created_at, updated_at
Responses​
- 200
- application/json
- Schema
- Example (from schema)
Schema
__meta object
redacted_fields object[]
The name for the redacted field
The reason for the redaction
results object[]
Identifier field
Record creation date
Record update date
The worker's associated user.
user object
Identifier field
Record creation date
Record update date
Whether the user is able to access company resources, typically when they are in actively engaged with the company and not after off-boarding.
The unique identifier across Rippling used by the User for direct authentication into their associated company. Globally unique.
name object
The user's full name.
The given legal name of the user, or first name in most Western languages.
The middle name(s) of the user.
The legal family name of the user, or last name in most Western languages.
The preferred given name, or first name in most Western languages, by the user.
The preferred family name, or last name in most Western languages, by the user.
The display name of the user using either the concatenated preferred given and family name or username depending on availability.
emails object[]
A valid email address.
The classification of the email.
The display value of the email address.
phone_numbers object[]
The canonical global phone number pursuant to RFC3966.
The classification of the phone number, pursuant to SCIM RFC 7643 4.1.2.
The display value of the phone number.
addresses object[]
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
photos object[]
The URL of the photo.
The classification of the photo.
The User's preferred written or spoken language in the same format of the HTTP Accept-Language header, pursuant to Section 5.3.5 of RFC7231.
The User's default location for purposes of localization of currency, date time format, or numerical representations pursuant to RFC5646.
The User's current time zone in IANA database Olson format
The permanent profile number of the user.
Whether the worker is a manager
The worker's manager.
manager object
The worker's associated legal entity.
legal_entity object
Identifier field
Record creation date
Record update date
The tax identifier for the legal entity.
country object
The code of the country.
The legal name of the legal entity.
The legal entity's level in a hierarchy. *
PARENT
SUBSIDIARY
BRANCH
The registration date of the entity.
mailing_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
physical_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
The parent legal entity.
parent object
The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). *
PEO
EOR
The company or organization associated with the legal entity
company object
Identifier field
Record creation date
Record update date
The company's ultimate holding entity.
parent_legal_entity object
A list of the company's entities.
A list of the company's entities.
Expandable field
physical_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
The email address used when registering this company.
The legal name of the company.
The doing business as name for the company.
The phone number for the company.
The name of the company.
The worker's country.
The start date of the worker.
The end date of the worker.
The worker's number within the organization.
The worker's associated work email address.
The worker's associated personal email address.
The worker's status within the organization.
location object
The type of location.
The work location, if the worker isn't remote.
The worker's employment type.
employment_type object
Identifier field
Record creation date
Record update date
The display label of the employment type.
The name of the employment type for non-custom employment types.
The classification of the worker by the company. *
CONTRACTOR
EMPLOYEE
The compensation period for the employment type. *
SALARIED
HOURLY
The amount worked for the employment type. *
FULL-TIME
PART-TIME
TEMPORARY
The gender of the worker, if specified.
The worker's date of birth.
The identified race of the worker, if specified.
The identified ethnicity of the worker, if specified.
The countries that the worker has citizenship in.
The compensation package for the worker.
compensation object
Identifier field
Record creation date
Record update date
The worker's ID.
worker object
annual_compensation object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
annual_salary_equivalent object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
hourly_wage object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
monthly_compensation object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
on_target_commission object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
relocation_reimbursement object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
signing_bonus object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
target_annual_bonus object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
weekly_compensation object
The currency type, ex: USD, EUR, etc.
The decimal amount for the currency.
The worker's target annual bonus as a percent of annual compensation.
The worker's bonus schedule.
The payment type for an worker's compensation.
The payment terms for an worker's compensation.
Salary effective date
The worker's overtime exemption status.
The worker's assigned department.
department object
Identifier field
Record creation date
Record update date
The name of the department.
The parent department.
parent object
Reference code of the department.
The identifier of departments in the department hierarchy ordered from parent department to child department.
List of departments in the department hierarchy. Refer department_hierarchy_ids for department hierarchy order.
Expandable field
The worker's assigned teams.
teams object[]
Identifier field
Record creation date
Record update date
The parent team
parent object
The name of the team.
The worker's title.
Title effective date
The level of the worker.
level object
Identifier field
Record creation date
Record update date
The name of the level. Must be unique within the company or organization.
The parent level.
parent object
Global level is used to track the seniority of levels. The higher up a level is placed on the page, the more senior and higher-ranked the level. Global level is used in workflows, policies, and reports that use the level attribute (e.g., you can use Level Lookup to set up a workflow that notifies the nearest person in an worker's management chain at or above the specified level).
The description of the level.
The scope of responsibilities for the level.
The experience requirements for the level.
The rank of the level within its track.
The track associated with the level. Required during creation. Include global_level when changing it.
track object
Identifier field
Record creation date
Record update date
The name of the track. Must be unique within the company or organization.
Whether this is the company's default track.
The one-based horizontal display order of the track.
The highest global level occupied by this track. Empty tracks return null.
ID of the worker's job function.
job_function object
Identifier field
Record creation date
Record update date
Displayed name of the job function
termination_details object
The termination type indicates whether the termination was voluntary or involuntary.
This is a description that will be custom to each Rippling company.
The ID of the pay schedule currently associated with the worker.
work_schedule object
property name* object
The number of scheduled working hours for the day.
compensation_grade object
The compensation grade's unique identifier.
The compensation grade's label.
The worker's earliest start date across their employment history, excluding INIT roles.
custom_fields object[]
country_fields object
us object
Social Security Number (SSN) for US employees.
ca object
Social Insurance Number (SIN) for Canada employees.
nz object
Inland Revenue Department (IRD) number for New Zealand employees.
Worker's assigned business partners unique identifiers. Returns an empty list ([]) if the worker has no business partners.
business_partners object[]
Identifier field
Record creation date
Record update date
Identifier of business partner group the business parter is a part of
business_partner_group object
Identifier field
Record creation date
Record update date
Name used to identify business partner group
Type of business partner group
Id of Optional default business partner worker to whom all employees will be mapped if not explicitly mapped to a business partner in the group.
default_business_partner object
Identifier of worker who is the business partner
worker object
Identifier of group of workers associated with the business partner
client_group object
Identifier field
Record creation date
Record update date
The group's display name.
The group's name.
The id of the group's app owner.
The group type
The sub group type
Whether the group is read only.
The group's description.
The group's parent.
The group's mutually exclusive key
Whether the group is the cumulatively exhaustive default
Whether the group include terminated roles
Whether the group allows non employees
Whether the group can override role states
The group's priority when calculating mutual exclusivity
Whether the group is invisible
Whether to ignore provisioning group matching when determining group membership
Number of workers associated with the business partner
A link to the next page of responses.
{
"__meta": {
"redacted_fields": [
{
"name": "date_of_birth",
"reason": "Insufficient entitlements"
}
]
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"user_id": "string",
"user": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"active": false,
"username": "string",
"name": {
"formatted": "string",
"given_name": "string",
"middle_name": "string",
"family_name": "string",
"preferred_given_name": "string",
"preferred_family_name": "string"
},
"display_name": "string",
"emails": [
{
"value": "string",
"type": "HOME",
"display": "string"
}
],
"phone_numbers": [
{
"value": "string",
"type": "HOME",
"display": "string"
}
],
"addresses": [
{
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
}
],
"photos": [
{
"value": "string",
"type": "PHOTO"
}
],
"preferred_language": "string",
"locale": "string",
"timezone": "string",
"number": "string"
},
"is_manager": false,
"manager_id": "string",
"manager": {},
"legal_entity_id": "string",
"legal_entity": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"tax_identifier": "string",
"country": {
"code": "AF"
},
"legal_name": "string",
"entity_level": "PARENT",
"registration_date": "string",
"mailing_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"physical_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"parent_id": "string",
"parent": {},
"management_type": "PEO",
"company_id": "string",
"company": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"parent_legal_entity_id": "string",
"parent_legal_entity": {},
"legal_entities_id": [
"string"
],
"legal_entities": [
"string"
],
"physical_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"primary_email": "string",
"legal_name": "string",
"doing_business_as_name": "string",
"phone": "string",
"name": "string"
}
},
"country": "AF",
"start_date": "string",
"end_date": "string",
"number": 0,
"work_email": "string",
"personal_email": "string",
"status": "INIT",
"location": {
"type": "REMOTE",
"work_location_id": "string"
},
"employment_type_id": "string",
"employment_type": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"label": "string",
"name": "string",
"type": "CONTRACTOR",
"compensation_time_period": "HOURLY",
"amount_worked": "PART-TIME"
},
"gender": "MALE",
"date_of_birth": "string",
"race": "BLACK",
"ethnicity": "HISPANIC_OR_LATINO",
"citizenship": "AF",
"compensation_id": "string",
"compensation": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"worker_id": "string",
"worker": {},
"annual_compensation": {
"currency_type": "string",
"value": 0
},
"annual_salary_equivalent": {
"currency_type": "string",
"value": 0
},
"hourly_wage": {
"currency_type": "string",
"value": 0
},
"monthly_compensation": {
"currency_type": "string",
"value": 0
},
"on_target_commission": {
"currency_type": "string",
"value": 0
},
"relocation_reimbursement": {
"currency_type": "string",
"value": 0
},
"signing_bonus": {
"currency_type": "string",
"value": 0
},
"target_annual_bonus": {
"currency_type": "string",
"value": 0
},
"weekly_compensation": {
"currency_type": "string",
"value": 0
},
"target_annual_bonus_percent": 0,
"bonus_schedule": "string",
"payment_type": "string",
"payment_terms": "string",
"salary_effective_date": "string"
},
"overtime_exemption": "EXEMPT",
"department_id": "string",
"department": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"parent_id": "string",
"parent": {},
"reference_code": "string",
"department_hierarchy_id": [
"string"
],
"department_hierarchy": [
"string"
]
},
"teams_id": [
"string"
],
"teams": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"parent_id": "string",
"parent": {},
"name": "string"
}
],
"title": "string",
"title_effective_date": "string",
"level_id": "string",
"level": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"parent_id": "string",
"parent": {},
"global_level": 0,
"description": "string",
"scope_of_responsibilities": "string",
"experience_requirements": "string",
"rank": 0,
"track_id": "string",
"track": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"is_default": false,
"order": 0,
"start_global_level": 0
}
},
"job_function_id": "string",
"job_function": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"name": "string"
},
"termination_details": {
"type": "VOLUNTARY",
"reason": "string"
},
"pay_schedule_id": "string",
"work_schedule": {
"property name": {
"hours": 0
}
},
"compensation_grade": {
"id": "string",
"label": "string"
},
"original_start_date": "string",
"custom_fields": [
"string"
],
"country_fields": {
"us": {
"ssn": "string"
},
"ca": {
"sin": "string"
},
"nz": {
"ird_number": "string"
}
},
"business_partners_id": [
"string"
],
"business_partners": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"business_partner_group_id": "string",
"business_partner_group": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"domain": "HR",
"default_business_partner_id": "string",
"default_business_partner": {}
},
"worker_id": "string",
"worker": {},
"client_group_id": "string",
"client_group": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"display_name": "string",
"name": "string",
"app_owner_id": "string",
"group_type": "string",
"sub_group_type": "string",
"read_only": false,
"description": "string",
"parent": "string",
"mutually_exclusive_key": "string",
"cumulatively_exhaustive_default": false,
"include_terminated": false,
"allow_non_employees": false,
"can_override_role_states": false,
"priority": 0,
"is_invisible": false,
"ignore_prov_group_matching": false
},
"client_group_member_count": 0
}
]
}
],
"next_link": "string"
}